org.apache.commons.beanutils.converters

## Class FloatConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractConverter
  - - org.apache.commons.beanutils.converters.NumberConverter
    - - org.apache.commons.beanutils.converters.FloatConverter

- All Implemented Interfaces:
    Converter

      public final class FloatConverter
      extends NumberConverter

  `NumberConverter` implementation that handles conversion to and from java.lang.Float objects.

  This implementation can be configured to handle conversion either by using Float's default String conversion, or by using a Locale's pattern or by specifying a format pattern. See the `NumberConverter` documentation for further details.

  Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

  Since:
    1.3
  Version:
    $Id: FloatConverter.java 1632171 2014-10-15 20:15:17Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatConverter()` Construct a java.lang.Float Converter that throws a `ConversionException` if an error occurs.
    `FloatConverter(Object defaultValue)` Construct a java.lang.Float Converter that returns a default value if an error occurs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<Float>` | `getDefaultType()` Return the default type this `Converter` handles.

    - ### Methods inherited from class org.apache.commons.beanutils.converters.NumberConverter

      `convertToString, convertToType, getLocale, getPattern, isAllowDecimals, setLocale, setPattern, setUseLocaleFormat, toString`

    - ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

      `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatConverter

          public FloatConverter()

      Construct a java.lang.Float Converter that throws a `ConversionException` if an error occurs.

    - #### FloatConverter

          public FloatConverter(Object defaultValue)

      Construct a java.lang.Float Converter that returns a default value if an error occurs.
      Parameters:
        `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

  - ### Method Detail

    - #### getDefaultType

          protected Class<Float> getDefaultType()

      Return the default type this `Converter` handles.
      Specified by:
        `getDefaultType` in class `AbstractConverter`
      Returns:
        The default type this `Converter` handles.
      Since:
        1.8.0

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.